Package com.ocient.util

# Class MockQueryRegistry.FetchArgs

java.lang.Object
com.ocient.util.MockQueryRegistry.FetchArgs

Enclosing class:
  `MockQueryRegistry`

public static class MockQueryRegistry.FetchArgs extends Object
Externalized fetch data request configuration.

## Constructor Summary

Constructors
Constructor
Description
`FetchArgs()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getMaxBuffers()`
`int`
`getNumRowsPerBuffer()`
`void`
`setMaxBuffers(int maxBuffers)`
`void`
`setNumRowsPerBuffer(int numRowsPerBuffer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FetchArgs

public FetchArgs()

## Method Details

### getMaxBuffers

public int getMaxBuffers()

### setMaxBuffers

public void setMaxBuffers(int maxBuffers)

### getNumRowsPerBuffer

public int getNumRowsPerBuffer()

### setNumRowsPerBuffer

public void setNumRowsPerBuffer(int numRowsPerBuffer)